# About Star

## Overview

Star HPC Cluster is a computing facility designed for a variety of research and computational tasks. Combining advanced computing `nodes` and high-speed `storage systems` with a suite of `software applications`. 

SLURM (Simple Linux Utility for Resource Management) is our chosen job scheduler and queueing system that efficiently manages resource allocation, ensuring everyone gets the right amount of resources at the right time. 

Apptainer (formerly Singularity) is also a major application on the cluster. Apptainer is a containerization platform similar to Docker with the major difference that it runs under user privileges instead of `root`. This platform is enhanced by NGC (NVIDIA GPU Cloud) which provides access to a wide array of pre-built, GPU-optimized software containers for diverse applications. This integration saves all users a lot of time as they don’t need to set up the software applications from scratch and can just pull and use the NGC images with Apptainer.

The cluster also supports various software applications tailored to different needs: Python and R for data analysis, MATLAB for technical computing, Jupyter for interactive projects, and OpenMPI for parallel computing. Anaconda broadens these capabilities with packages for scientific computing, while NetCDF manages large datasets. For big data tasks, Hadoop/Spark offers powerful processing tools.


## Hardware

### Login Node

### Compute Nodes

#### HPE Apollo 6500 Gen10

#### HPE DL365 Gen10

### Storage System

## Software

### SLURM

### Singularity/Apptainer

### Python

### Jupyter

### MATLAB

### R

### OpenMPI

### Anaconda

### NetCDF

### Hadoop/Spark
